lucene-solr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Sanne Grinovero <sanne.grinov...@gmail.com>
Subject Re: Upgrading Lucene jars
Date Wed, 09 Dec 2009 10:03:07 GMT
Why is Solr not depending directly on Lucene but repackaging the same classes?

Sorry I've probably missed some important discussion. Whatever the
reason for this decision, is it still a good reason?

This gets new users in a hell of trouble sometimes, as some
applications introduce Solr after having Lucene already on the
classpath and it's not immediately obvious that differently named jars
contain same named classes.
Could this be a good timeframe to change this?

Regards,
Sanne

2009/12/8 Koji Sekiguchi <koji@r.email.ne.jp>:
> Shalin Shekhar Mangar wrote:
>>
>> I need to upgrade contrib-spellcheck jar for SOLR-785. Should I go ahead
>> and
>> upgrade all Lucene jars to the latest 2.9 branch code?
>>
>>
>
> +1.
>
> Koji
>
> --
> http://www.rondhuit.com/en/
>
>

Mime
View raw message